# Dropper

The dropper is part the of the deaddrop project.

It is used to post / fetch encrypted messages to / from the 
drop server.

## Required software:

- dmd
- dub
- libsodium

## Building 

```bash
$ git clone http://repourl/dropper.git dropper
$ cd dropper
$ dub build --build=release
```

## Simple usage:

Key generation: 
```bash
$ ./dropper -w ./key_dir/alice
```

Sending a message
- specify the base64 encoded publickey of the recipient with -r
- load the previously generated keys from disk with -c
- specify the message to send with -m
- specify the url of the drop server with -u

```bash
$ ./dropper -c ./key_dir/alice -m "Hello Bob" -r "3e51N4....pHI=" -u "http://dropperserver.url"
```

Getting all messages for a public key:
- specify that we want to fetch messages with -f
- load the previously generated keys from disk with -c 
```bash
$ ./dropper -f -c ./key_dir/bob -u "http://dropperserver.url"
```