module message;

alias Message = string[string];

string encodePayload(ubyte[] payload)
{
    import std.base64 : Base64;
    return Base64.encode(payload);
}

Message formatMessage(string recipient, string payload)
{
    return [
        "recipient": recipient,
        "payload": payload
    ];
}

string prependTimeStamp(string message)
{
    import std.datetime : Clock;
    import std.conv : to;

    string utc = to!string(Clock.currTime.toUTC());
    return utc ~ " >> " ~ message;
}